@function miner($miner-list, $shadow-count: $grid) {
  $shadows: ();
  $row: 0;
  $col: 0;

  @for $i from 1 through length($miner-list) {
    @if(nth($miner-list, $i) > 0) { // 5px        0px      0        #b33827
      $shadows: append($shadows, ($col * 1px) ($row * 1px) 0 map-get($colors, nth($miner-list, $i)), 'comma');
    }

    @if($i % $grid == 0) {
      $row: $row + 1;
      $col: 0;
    }

    $col: $col + 1;
  }

  @return $shadows;
}

@mixin create-miner-animation($keyframe, $walker) {
  animation: $keyframe .65s step-start infinite;
  box-shadow: miner($walker);
}

@mixin create-city-animation($first-animation, $second-animation) {
  animation: $first-animation $time infinite, $second-animation $time linear infinite;
  -webkit-animation: $first-animation $time infinite, $second-animation $time linear infinite;
  -moz-animation: $first-animation $time infinite, $second-animation $time linear infinite;
  -o-animation: $first-animation $time infinite, $second-animation $time linear infinite;
}